curl --request GET \
--url https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"funding_round_id": "fnr_6ac8f4058536c08a85f052e7",
"name": "Angel Round - Best Apps Market",
"company_name": "Best Apps Market",
"company_id": "5e3a8fc7040ca7b0c6f35b14",
"investment_type": "Angel",
"announced_on": "2011-05-10",
"raised_amount_usd": 65000000,
"pre_money_valuation_usd": 3400000000,
"post_money_valuation_usd": 3800000000,
"investors": [
{
"investor_id": "inv_5b4918f3cbdcda9dbf829bc3",
"investor_name": "Anurag (Anu) Nigam",
"is_lead_investor": false
}
]
}{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}{
"errorCode": "OUT_OF_CREDITS",
"message": "There are no more credits available to complete the request"
}{
"errorCode": "NOT_PERMITTED",
"message": "API key present, but you are not permitted"
}{
"errorCode": "NOT_FOUND",
"message": "Not Found"
}{
"errorCode": "VALIDATION_ERROR",
"message": "Field required (body.name)"
}{
"errorCode": "RATE_LIMITED",
"message": "You have been rate-limited"
}Get funding round by ID
Returns a single funding round by its Specter funding round ID, including the company that raised the round and the full list of participating investors, each flagged if they led.
Costs 1 credit per matched result.
What you need
A funding round ID in the path. You’ll find one on Get company by ID, Get company funding rounds, or Get funding rounds by date.
Behaviour
fundingRoundId(fnr_…) is required.- Returns
404if the round doesn’t exist.
What you do next
- Open the company that raised. Follow
company_idto Get company by ID. - Profile an investor. Pass any participant’s
investor_idto Get investor by ID.
curl --request GET \
--url https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.tryspecter.com/api/v1/funding-rounds/{fundingRoundId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"funding_round_id": "fnr_6ac8f4058536c08a85f052e7",
"name": "Angel Round - Best Apps Market",
"company_name": "Best Apps Market",
"company_id": "5e3a8fc7040ca7b0c6f35b14",
"investment_type": "Angel",
"announced_on": "2011-05-10",
"raised_amount_usd": 65000000,
"pre_money_valuation_usd": 3400000000,
"post_money_valuation_usd": 3800000000,
"investors": [
{
"investor_id": "inv_5b4918f3cbdcda9dbf829bc3",
"investor_name": "Anurag (Anu) Nigam",
"is_lead_investor": false
}
]
}{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}{
"errorCode": "OUT_OF_CREDITS",
"message": "There are no more credits available to complete the request"
}{
"errorCode": "NOT_PERMITTED",
"message": "API key present, but you are not permitted"
}{
"errorCode": "NOT_FOUND",
"message": "Not Found"
}{
"errorCode": "VALIDATION_ERROR",
"message": "Field required (body.name)"
}{
"errorCode": "RATE_LIMITED",
"message": "You have been rate-limited"
}Authorizations
Path Parameters
The ID of the funding round being requested (e.g. fnr_5f3a2b1c4d5e6f7a8b9c0d1e).
Response
The funding round.
The Specter funding round ID.
"fnr_6ac8f4058536c08a85f052e7"
The display name of the funding round.
"Angel Round - Best Apps Market"
The name of the company that raised this round.
"Best Apps Market"
The Specter company ID of the company that raised this round.
"5e3a8fc7040ca7b0c6f35b14"
The investment type for this round.
"Angel"
The date (YYYY-MM-DD) the round was announced.
"2011-05-10"
The amount raised in USD.
65000000
The reported pre-money valuation in USD.
3400000000
The reported post-money valuation in USD.
3800000000
All investors that participated in this round.
Show child attributes
Show child attributes
Was this page helpful?